Subject: Re: [BUG net-2.6] bluetooth/rfcomm : sleeping function called from invalid context at mm/slub.c:1719

From: "Gustavo F. Padovan" <[email-masked]>
Date: Sun, 4 Oct 2009 18:06:35 +0000

Hi all,

* Dave Young <[email-masked]> [2009-10-04 11:26:17 +0800]:

> 
> I can reproduce the bug.
> 
> It's probably caused by the l2cap changes by  Gustavo F. Padovan
> <[email-masked]>, I didn't see such problem after reverting
> Gustavo's patch series.

I can't reproduce the bug. I'm trying to reproduce it to figure out what of
my changes cause it.

I' running

$ dund -snu -i 00:11:67:CD:0F:CB # to pretend to be dialup/telephone

and on the other side 

$ rfcomm bind 0 00:11:67:CD:0F:CB 1
$ wvdial  # wvdial to /dev/rfcomm0

Both sides are on the same machine. Do you see any real difference
between my try and the call that get the bug?

--
Gustavo F. Padovan